List active webhooks for event
import requests
url = "https://api.datagrid.com/v1/webhooks/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/webhooks/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/webhooks/active \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "webhook",
"id": "<string>",
"url": "<string>",
"events": [
"knowledge.processing.completed"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Webhooks
List active webhooks for event
Returns enabled webhook subscriptions for a specific event type.
GET
/
webhooks
/
active
List active webhooks for event
import requests
url = "https://api.datagrid.com/v1/webhooks/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/webhooks/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/webhooks/active \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "webhook",
"id": "<string>",
"url": "<string>",
"events": [
"knowledge.processing.completed"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The event type to filter by, for example knowledge.processing.completed or batch_prediction.completed.
Available options:
knowledge.processing.completed, batch_prediction.completed, batch_prediction.failed, batch_prediction.expired, batch_prediction.cancelled